﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebApplication1
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Session["data"] = getTable();
            }
            this.WebDataGrid1.DataSource = Session["data"];
        }

        private DataTable getTable()
        {
            DataTable table = new DataTable();

            table.Columns.Add("col1", typeof(Int32));
            table.Columns.Add("col2", typeof(string));
            table.Columns.Add("col3", typeof(string));

            for (int i = 0; i < 5; i++)
            {
                table.Rows.Add(new object[] { i, "test" + i, "ITEM" + i });
            }

            table.PrimaryKey = new DataColumn[] { table.Columns["col1"] };

            return table;
        }
    }
}